astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- SummedCompositeModel

# SummedCompositeModel

class `astropy.modeling.core.``SummedCompositeModel`(transforms, inmap=None, outmap=None)

  Bases: `astropy.modeling.core._CompositeModel`

  Composite model that evaluates models in parallel.

  Parameters:

  transforms : list

  > transforms to be executed in parallel

  inmap : list or None

  > labels in an input instance of LabeledInput if None, the number of input coordinates is exactly what the transforms expect

  outmap : list or None

  Notes

  Evaluate each model separately and add the results to the input_data.